# phpMyAdmin SQL Dump
# version 2.5.6
# http://www.phpmyadmin.net
#
# Serveur: localhost
# Gnr le : Dimanche 28 Aot 2005  12:44
# Version du serveur: 4.1.11
# Version de PHP: 4.3.10
# 
# Base de donnes: `GRUBS`
# 

# --------------------------------------------------------

DROP database IF exists `GRUBS`;
create database GRUBS;
use GRUBS;

#
# Structure de la table `bio`
#

DROP TABLE IF EXISTS `bio`;
CREATE TABLE `bio` (
  `ID` int(11) NOT NULL auto_increment,
  `commun` text character set utf8,
  `latin` text character set utf8,
  `embranchement` varchar(50) character set utf8 default NULL,
  `classe` varchar(50) character set utf8 default NULL,
  `espece` varchar(50) character set utf8 default NULL,
  `comment` text character set utf8,
  `autre` text character set utf8,
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

# --------------------------------------------------------

#
# Structure de la table `bio_photo`
#

DROP TABLE IF EXISTS `bio_photo`;
CREATE TABLE `bio_photo` (
  `IDbio` int(11) NOT NULL default '0',
  `IDphoto` int(11) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

# --------------------------------------------------------

#
# Structure de la table `media`
#

DROP TABLE IF EXISTS `media`;
CREATE TABLE `media` (
  `ID` int(11) NOT NULL auto_increment,
  `titre` text character set utf8,
  `type` varchar(50) character set utf8 default NULL,
  `auteur` varchar(50) character set utf8 default NULL,
  `format` varchar(50) character set utf8 default NULL,
  `comment` text character set utf8,
  `chemin` varchar(255) character set utf8 NOT NULL default '',
  `fichier` varchar(255) character set utf8 NOT NULL default '',
  `langue` varchar(50) character set utf8 default NULL,
  `sauvegarde` varchar(255) character set utf8 default NULL,
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

# --------------------------------------------------------

#
# Structure de la table `photo`
#

DROP TABLE IF EXISTS `photo`;
CREATE TABLE `photo` (
  `ID` int(11) NOT NULL auto_increment,
  `fichier` varchar(50) character set utf8 NOT NULL default '',
  `mer` varchar(50) character set utf8 NOT NULL default '',
  `pays` varchar(50) character set utf8 NOT NULL default '',
  `lieu` varchar(50) character set utf8 NOT NULL default '',
  `site` varchar(50) character set utf8 default NULL,
  `date` date NOT NULL default '0000-00-00',
  `type_photo` varchar(10) character set utf8 NOT NULL default '',
  `comment` text character set utf8,
  `chemin` varchar(255) character set utf8 NOT NULL default '',
  `chemin_org` varchar(255) character set utf8 NOT NULL default '',
  `sauvegarde` varchar(128) character set utf8 NOT NULL default '',
  `media` varchar(30) character set utf8 NOT NULL default '',
  `auteur` varchar(30) character set utf8 NOT NULL default '',
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
