# -*- coding: iso8859-1 -*-
#=========================================================================================
#                                                                         
#   This program is a cardware software; you can redistribute it and/or modify
#   it under the terms of the Creative Common Licence defined on :
#   http://creativecommons.org/licenses/by-nc-sa/2.0/fr/
#
#   (CC) 2005 by Ronan BOISARD <ronan_boisard@yahoo.com>
#
#=========================================================================================
#                                                                         
#   Ce programme est un cardware, vous pouvez l'utiliser, le modifier et le redistribuer
#   sous les condition dfinies dans la licence Creative Common dont les condition sont
#   dcritent sur
#   http://creativecommons.org/licenses/by-nc-sa/2.0/fr/
#
#   (CC) 2005 by Ronan BOISARD <ronan_boisard@yahoo.com>
#
#=========================================================================================


#=========================================================================================
"""
    Diverses petites mthodes non spcifiques utilise en peux partout dans
    l'application
"""
#-----------------------------------------------------------------------------------------
__version__ ='0.4'
__author__='Ronan BOISARD <ronan_boisard@yahoo.com>'
#=========================================================================================

import re,Tkinter
try:
     from PIL import Image, ImageTk
except ImportError:
     import Image, ImageTk
     
def printlistes(list):
    """
    renvoie une liste de dimension n sous forme de string
    """
    text=''
    for item in range(len(list)):
        text+=str(list[item])+"\n"
    return text

def nettoyer(text):
    """
    encode le text en latin-1
    remplace les " et ' par \" et \'
    """
    text=re.sub("'","\\'",text)
    text=re.sub('"','\\"',text)
    try:
        newtext=text.encode('latin-1')
        return newtext
    except:
        return text
#    return str(text.encode('latin-1'))
#    return text

def add_br(text):
    """
    remplace les retour a la ligne par le tag html <br>
    """
    text=nettoyer(text)
    text=re.sub("\n","<br>",text)
    return text

def filtrehtml(text):
    """
    retourne le texte en supprimant les balises html
    """
    text=re.sub('<br>','\\n',text)
    search="<[A-Za-z\-\_]{1,3}>"
    replace=''
    text=re.sub(search,replace,text)
    return text

def inverseDate(date):
    """
    Inverse l'ordre d'une date
    """
    tab=re.split('-',date)
    tab.reverse()
    date=''
    for item in tab:
      date+=item+'-'
    date=date[:-1]
    return date

def HTMLFormat(text,b,i,u):
    """
    Format un text avec des balises hgtml simples : <b>, <i>, <u>

    Input:
        text    : Widget Tkinter Text
        b       : Objet Tkinter font pour les tag <b>
        u       : Objet Tkinter font pour les tag <u>
        i       : Objet Tkinter font pour les tag <i>
    """
    text.config(state='normal')
    text.tag_config('<b>', font=b)
    text.tag_config('<i>', font=i)
    text.tag_config('<u>', font=u)
    str_start=[]
    str_stop=[]
    str_start.append('<b>')
    str_stop.append('</b>')
    str_start.append('<i>')
    str_stop.append('</i>')
    for item in range(len(str_start)):
        start=0.0
        stop=0.0           
        while start!='':
            start=text.search(str_start[item],stop,text.index('end'))
            if start!="":
                tag_start=re.split('\.',start)
                stop=text.search(str_stop[item],start,text.index('end'))
                tag_stop=re.split('\.',stop)
                text.tag_add(str_start[item],str(tag_start[0])+'.'+\
                             str(int(tag_start[1])+len(str_start[item])),stop)
                text.delete(start,str(tag_start[0])+'.'+str(int(tag_start[1])+len(str_start[item])))
    for item in range(len(str_stop)):
        stop=0.0           
        while stop!='':
            stop=text.search(str_stop[item],stop,text.index('end'))
            if stop!="":
                tag_stop=re.split('\.',stop)
                text.delete(stop,str(tag_stop[0])+'.'+str(int(tag_stop[1])+len(str_stop[item])))
    text.config(state='disabled')

def redim(image,size,alias=False):
     size_org=image.size
     ratio_org=size_org[0]/size_org[1]
     if size_org[0]>=size_org[1]:
          larg=size[0]
          haut=larg*size_org[1]/size_org[0]
     else:
          haut=size[1]
          larg=haut*size_org[0]/size_org[1]
     size_new=(larg,haut)
     if alias:
          return image.resize(size_new,Image.ANTIALIAS)
     else:
          return image.resize(size_new)


